import { u as useBagStore, s as sectionsData, _ as _sfc_main$3, a as _sfc_main$4, b as _sfc_main$5, c as _sfc_main$7, d as _sfc_main$9, e as _sfc_main$a, f as _sfc_main$b } from "./index.41466198.js";
import { _ as __unplugin_components_1 } from "./VControl.901448b0.js";
import { _ as _sfc_main$6 } from "./VField.b2ff2f2a.js";
import { _ as _sfc_main$8 } from "./VAvatar.4c1ed57a.js";
import { _ as _export_sfc, u as useUserSession } from "./index.6cd1bdc5.js";
import { o as openBlock, b as createElementBlock, p as createBaseVNode, d as defineComponent, r as ref, Y as reactive, h as computed, G as onMounted, t as createVNode, s as unref, n as normalizeClass, v as withCtx, x as withDirectives, ag as vModelText, y as vModelCheckbox, F as Fragment, Z as renderList, B as toDisplayString, av as TransitionGroup, _ as createCommentVNode, A as createTextVNode, E as useHead } from "./vendor.55da2271.js";
import { u as useProductSession } from "./masterService.3aad9dac.js";
import { p as pageTitle } from "./sidebarLayoutState.41819060.js";
import "./VModal.12b66599.js";
import "./VLoader.7fe927ed.js";
import "./mesaService.03478fb3.js";
import "./VIconButton.88612794.js";
const _sfc_main$2 = {};
const _hoisted_1$2 = /* @__PURE__ */ createBaseVNode("h5", null, null, -1);
const _hoisted_2$1 = [
  _hoisted_1$2
];
function _sfc_render(_ctx, _cache) {
  return openBlock(), createElementBlock("div", null, _hoisted_2$1);
}
var __unplugin_components_8 = /* @__PURE__ */ _export_sfc(_sfc_main$2, [["render", _sfc_render]]);
var PosRestaurant_vue_vue_type_style_index_0_lang = "";
const _hoisted_1$1 = { class: "food-delivery-dashboard" };
const _hoisted_2 = { class: "left" };
const _hoisted_3 = { class: "left-body" };
const _hoisted_4 = { class: "restaurants" };
const _hoisted_5 = { class: "columns is-multiline is-mobile" };
const _hoisted_6 = {
  class: "column is-10",
  style: { "padding-bottom": "0px" }
};
const _hoisted_7 = {
  class: "column is-2",
  style: { "padding-bottom": "0px" }
};
const _hoisted_8 = { class: "tabs-wrapper" };
const _hoisted_9 = { class: "tabs-inner" };
const _hoisted_10 = { class: "tabs is-centered mb-1" };
const _hoisted_11 = {
  style: {},
  class: ""
};
const _hoisted_12 = /* @__PURE__ */ createBaseVNode("span", null, [
  /* @__PURE__ */ createBaseVNode("i", {
    "aria-hidden": "true",
    class: "iconify",
    "data-icon": "feather:grid"
  })
], -1);
const _hoisted_13 = [
  _hoisted_12
];
const _hoisted_14 = /* @__PURE__ */ createBaseVNode("span", null, [
  /* @__PURE__ */ createBaseVNode("i", {
    "aria-hidden": "true",
    class: "iconify",
    "data-icon": "feather:list"
  })
], -1);
const _hoisted_15 = [
  _hoisted_14
];
const _hoisted_16 = /* @__PURE__ */ createBaseVNode("li", { class: "tab-naver" }, null, -1);
const _hoisted_17 = { class: "pt-3" };
const _hoisted_18 = { class: "form-checkbox" };
const _hoisted_19 = /* @__PURE__ */ createTextVNode(" Buscar por c\xF3digo de barras ");
const _hoisted_20 = {
  key: 0,
  class: "restaurants-list"
};
const _hoisted_21 = { class: "columns is-mobile is-multiline" };
const _hoisted_22 = {
  key: 1,
  style: { "padding-top": "1%" },
  class: "flex-table"
};
const _hoisted_23 = /* @__PURE__ */ createBaseVNode("div", { class: "flex-table-header" }, [
  /* @__PURE__ */ createBaseVNode("span", { class: "is-grow" }, "Producto"),
  /* @__PURE__ */ createBaseVNode("span", null, "Codigo"),
  /* @__PURE__ */ createBaseVNode("span", { class: "cell-end" }, "Precio")
], -1);
const _hoisted_24 = { class: "flex-list-inner" };
const _hoisted_25 = ["onClick"];
const _hoisted_26 = { class: "flex-table-cell is-media is-grow" };
const _hoisted_27 = { class: "item-name dark-inverted" };
const _hoisted_28 = {
  class: "flex-table-cell",
  "data-th": "C\xF3digo"
};
const _hoisted_29 = { class: "light-text" };
const _hoisted_30 = {
  class: "flex-table-cell cell-end",
  "data-th": "Precio"
};
const _hoisted_31 = { class: "is-primary" };
const _hoisted_32 = /* @__PURE__ */ createBaseVNode("div", {
  class: "is-hidden-desktop",
  style: { "min-height": "150px" }
}, null, -1);
const _hoisted_33 = {
  key: 0,
  class: "is-hidden-desktop cart-bottom-fixed h-hidden-tablet-l"
};
const _hoisted_34 = { class: "columns is-mobile is-centered m-custom" };
const _hoisted_35 = { class: "column is-11" };
const _hoisted_36 = { class: "right fixed-parent is-hidden-mobile h-hidden-tablet-p only-pos" };
const _sfc_main$1 = /* @__PURE__ */ defineComponent({
  setup(__props) {
    const userSession = useUserSession();
    const productSession = useProductSession();
    const textSearch = ref("");
    const searchByBarcode = ref(false);
    const bagStore = useBagStore();
    const isListItems = ref(false);
    const posBag = reactive({
      products: [],
      total: 0,
      barman: userSession.name
    });
    const state = reactive({
      products: productSession.products,
      products_filter: productSession.products,
      openDialogDocument: false,
      loading: false,
      generatedDocument: false,
      sections: sectionsData,
      categories: productSession.categories
    });
    const clickAddProduct = (item) => {
      bagStore.addProduct(item);
    };
    const openDialogDocument = () => {
      if (bagStore.getProducts().length > 0) {
        posBag.products = bagStore.getProducts();
        posBag.total = bagStore.getTotal();
        state.openDialogDocument = true;
      }
    };
    const closeDialogDocument = () => {
      posBag.products = [];
      posBag.total = 0;
      posBag.enterAmount = 0;
      bagStore.reset();
      state.openDialogDocument = false;
    };
    const products_filter = computed(() => {
      if (textSearch.value.length > 0) {
        if (searchByBarcode.value) {
          let itemFound = state.products.find((item) => item.barcode == textSearch.value);
          if (itemFound) {
            bagStore.addProduct(itemFound);
          }
          textSearch.value = "";
          return itemFound ? [itemFound] : [];
        } else {
          return state.products.filter((item) => item.name.toLowerCase().includes(textSearch.value.toLowerCase()));
        }
      } else {
        return state.products;
      }
    });
    const back = () => {
      console.log("back");
      state.openDialogDocument = false;
    };
    const selectCategory = (id) => {
      if (id === 0) {
        state.products = state.products_filter;
      } else {
        state.products = state.products_filter.filter((x) => x.categoryId === id);
      }
    };
    const changeSearchByBarcode = () => {
      let byBarcode = searchByBarcode.value ? 1 : 0;
      userSession.setSearchByBarcode(byBarcode);
    };
    onMounted(() => {
      searchByBarcode.value = userSession.searchByBarcode ? true : false;
    });
    return (_ctx, _cache) => {
      const _component_CashDialog = _sfc_main$3;
      const _component_DocumentDialog = _sfc_main$4;
      const _component_CategoriesNavBar = _sfc_main$5;
      const _component_VControl = __unplugin_components_1;
      const _component_VField = _sfc_main$6;
      const _component_ProductPos = _sfc_main$7;
      const _component_VAvatar = _sfc_main$8;
      const _component_CartMobile = _sfc_main$9;
      const _component_Cart = __unplugin_components_8;
      const _component_Bag = _sfc_main$a;
      return openBlock(), createElementBlock(Fragment, null, [
        createVNode(_component_CashDialog),
        createVNode(_component_DocumentDialog, {
          "pos-bag": unref(posBag),
          open: unref(state).openDialogDocument,
          onClose: closeDialogDocument,
          onBack: back
        }, null, 8, ["pos-bag", "open"]),
        createBaseVNode("div", _hoisted_1$1, [
          createBaseVNode("div", _hoisted_2, [
            createBaseVNode("div", _hoisted_3, [
              createBaseVNode("div", _hoisted_4, [
                createBaseVNode("div", _hoisted_5, [
                  createBaseVNode("div", _hoisted_6, [
                    createVNode(_component_CategoriesNavBar, { onSelectcategory: selectCategory })
                  ]),
                  createBaseVNode("div", _hoisted_7, [
                    createBaseVNode("div", _hoisted_8, [
                      createBaseVNode("div", _hoisted_9, [
                        createBaseVNode("div", _hoisted_10, [
                          createBaseVNode("ul", _hoisted_11, [
                            createBaseVNode("li", {
                              class: normalizeClass([isListItems.value == false && "is-active"])
                            }, [
                              createBaseVNode("a", {
                                onClick: _cache[0] || (_cache[0] = ($event) => isListItems.value = false)
                              }, _hoisted_13)
                            ], 2),
                            createBaseVNode("li", {
                              class: normalizeClass([isListItems.value == true && "is-active"])
                            }, [
                              createBaseVNode("a", {
                                onClick: _cache[1] || (_cache[1] = ($event) => isListItems.value = true)
                              }, _hoisted_15)
                            ], 2),
                            _hoisted_16
                          ])
                        ])
                      ])
                    ])
                  ])
                ]),
                createBaseVNode("div", _hoisted_17, [
                  createVNode(_component_VField, null, {
                    default: withCtx(() => [
                      createVNode(_component_VControl, { icon: "feather:search" }, {
                        default: withCtx(() => [
                          withDirectives(createBaseVNode("input", {
                            "onUpdate:modelValue": _cache[2] || (_cache[2] = ($event) => textSearch.value = $event),
                            type: "text",
                            class: "input is-rounded",
                            placeholder: "Busca un producto ..."
                          }, null, 512), [
                            [vModelText, textSearch.value]
                          ])
                        ]),
                        _: 1
                      }),
                      createBaseVNode("div", _hoisted_18, [
                        createBaseVNode("label", null, [
                          withDirectives(createBaseVNode("input", {
                            type: "checkbox",
                            "onUpdate:modelValue": _cache[3] || (_cache[3] = ($event) => searchByBarcode.value = $event),
                            onChange: changeSearchByBarcode
                          }, null, 544), [
                            [vModelCheckbox, searchByBarcode.value]
                          ]),
                          _hoisted_19
                        ])
                      ])
                    ]),
                    _: 1
                  })
                ]),
                !isListItems.value ? (openBlock(), createElementBlock("div", _hoisted_20, [
                  createBaseVNode("div", _hoisted_21, [
                    (openBlock(true), createElementBlock(Fragment, null, renderList(unref(products_filter), (product) => {
                      return openBlock(), createElementBlock("div", {
                        key: product.id,
                        class: "column is-6-mobile is-4-tablet is-3-desktop"
                      }, [
                        createVNode(_component_ProductPos, {
                          product,
                          onClickAddProduct: clickAddProduct
                        }, null, 8, ["product"])
                      ]);
                    }), 128))
                  ])
                ])) : (openBlock(), createElementBlock("div", _hoisted_22, [
                  _hoisted_23,
                  createBaseVNode("div", _hoisted_24, [
                    createVNode(TransitionGroup, {
                      name: "list",
                      tag: "div"
                    }, {
                      default: withCtx(() => [
                        (openBlock(true), createElementBlock(Fragment, null, renderList(unref(products_filter), (item) => {
                          return openBlock(), createElementBlock("div", {
                            key: item.id,
                            class: "flex-table-item",
                            style: { "cursor": "pointer" },
                            onClick: ($event) => clickAddProduct(item)
                          }, [
                            createBaseVNode("div", _hoisted_26, [
                              createVNode(_component_VAvatar, {
                                picture: item.imageUrl,
                                size: "medium"
                              }, null, 8, ["picture"]),
                              createBaseVNode("div", null, [
                                createBaseVNode("span", _hoisted_27, toDisplayString(item.name), 1)
                              ])
                            ]),
                            createBaseVNode("div", _hoisted_28, [
                              createBaseVNode("span", _hoisted_29, toDisplayString(item.internalId), 1)
                            ]),
                            createBaseVNode("div", _hoisted_30, [
                              createBaseVNode("span", _hoisted_31, toDisplayString(item.currencyTypeSymbol) + " " + toDisplayString(item.price), 1)
                            ])
                          ], 8, _hoisted_25);
                        }), 128))
                      ]),
                      _: 1
                    })
                  ])
                ]))
              ])
            ]),
            _hoisted_32
          ]),
          unref(bagStore).getProducts().length > 0 ? (openBlock(), createElementBlock("div", _hoisted_33, [
            createBaseVNode("div", _hoisted_34, [
              createBaseVNode("div", _hoisted_35, [
                createVNode(_component_CartMobile, { onFinalizeSale: openDialogDocument }),
                createVNode(_component_Cart)
              ])
            ])
          ])) : createCommentVNode("", true),
          createBaseVNode("div", _hoisted_36, [
            createVNode(_component_Bag, { onFinalizeSale: openDialogDocument })
          ])
        ])
      ], 64);
    };
  }
});
const _hoisted_1 = { class: "page-content-inner" };
const _sfc_main = /* @__PURE__ */ defineComponent({
  setup(__props) {
    pageTitle.value = "Mozo.pe";
    useHead({
      title: "Mozo.pe"
    });
    return (_ctx, _cache) => {
      const _component_LockedScreen = _sfc_main$b;
      const _component_PosRestaurant = _sfc_main$1;
      return openBlock(), createElementBlock("div", _hoisted_1, [
        createVNode(_component_LockedScreen),
        createVNode(_component_PosRestaurant)
      ]);
    };
  }
});
export { _sfc_main as default };
